// Menu
function clothing_brand_store_openNav() {
  jQuery(".sidenav").addClass('show');
}
function clothing_brand_store_closeNav() {
  jQuery(".sidenav").removeClass('show');
}

( function( window, document ) {
  function clothing_brand_store_keepFocusInMenu() {
    document.addEventListener( 'keydown', function( e ) {
      const clothing_brand_store_nav = document.querySelector( '.sidenav' );

      if ( ! clothing_brand_store_nav || ! clothing_brand_store_nav.classList.contains( 'show' ) ) {
        return;
      }
      const elements = [...clothing_brand_store_nav.querySelectorAll( 'input, a, button' )],
        clothing_brand_store_lastEl = elements[ elements.length - 1 ],
        clothing_brand_store_firstEl = elements[0],
        clothing_brand_store_activeEl = document.activeElement,
        tabKey = e.keyCode === 9,
        shiftKey = e.shiftKey;

      if ( ! shiftKey && tabKey && clothing_brand_store_lastEl === clothing_brand_store_activeEl ) {
        e.preventDefault();
        clothing_brand_store_firstEl.focus();
      }

      if ( shiftKey && tabKey && clothing_brand_store_firstEl === clothing_brand_store_activeEl ) {
        e.preventDefault();
        clothing_brand_store_lastEl.focus();
      }
    } );
  }
  clothing_brand_store_keepFocusInMenu();
} )( window, document );


document.addEventListener('DOMContentLoaded', function () {
  var clothing_brand_store_preloader = document.getElementById('preloader');

  if (clothing_brand_store_preloader) {  // Check if the element exists before trying to manipulate it
      var duration = 4000; // 10 seconds

      setTimeout(function () {
        clothing_brand_store_preloader.style.display = 'none';
      }, duration);
  }
});

/* Custom Cursor
 **-----------------------------------------------------*/
const clothing_brand_store_customCursor = {
  init: function () {
    this.clothing_brand_store_customCursor();
  },
  isVariableDefined: function (el) {
    return typeof el !== "undefined" && el !== null;
  },
  select: function (selectors) {
    return document.querySelector(selectors);
  },
  selectAll: function (selectors) {
    return document.querySelectorAll(selectors);
  },
  clothing_brand_store_customCursor: function () {
    const clothing_brand_store_cursorDot = this.select(".cursor-point");
    const clothing_brand_store_cursorOutline = this.select(".cursor-point-outline");
    if (this.isVariableDefined(clothing_brand_store_cursorDot) && this.isVariableDefined(clothing_brand_store_cursorOutline)) {
      const cursor = {
        delay: 8,
        _x: 0,
        _y: 0,
        endX: window.innerWidth / 2,
        endY: window.innerHeight / 2,
        cursorVisible: true,
        cursorEnlarged: false,
        $dot: clothing_brand_store_cursorDot,
        $outline: clothing_brand_store_cursorOutline,

        init: function () {
          this.dotSize = this.$dot.offsetWidth;
          this.outlineSize = this.$outline.offsetWidth;
          this.setupEventListeners();
          this.animateDotOutline();
        },

        updateCursor: function (e) {
          this.cursorVisible = true;
          this.toggleCursorVisibility();
          this.endX = e.clientX;
          this.endY = e.clientY;
          this.$dot.style.top = `${this.endY}px`;
          this.$dot.style.left = `${this.endX}px`;
        },

        setupEventListeners: function () {
          window.addEventListener("load", () => {
            this.cursorEnlarged = false;
            this.toggleCursorSize();
          });

          clothing_brand_store_customCursor.selectAll("a, button").forEach((el) => {
            el.addEventListener("mouseover", () => {
              this.cursorEnlarged = true;
              this.toggleCursorSize();
            });
            el.addEventListener("mouseout", () => {
              this.cursorEnlarged = false;
              this.toggleCursorSize();
            });
          });

          document.addEventListener("mousedown", () => {
            this.cursorEnlarged = true;
            this.toggleCursorSize();
          });
          document.addEventListener("mouseup", () => {
            this.cursorEnlarged = false;
            this.toggleCursorSize();
          });

          document.addEventListener("mousemove", (e) => {
            this.updateCursor(e);
          });

          document.addEventListener("mouseenter", () => {
            this.cursorVisible = true;
            this.toggleCursorVisibility();
            this.$dot.style.opacity = 1;
            this.$outline.style.opacity = 1;
          });

          document.addEventListener("mouseleave", () => {
            this.cursorVisible = false;
            this.toggleCursorVisibility();
            this.$dot.style.opacity = 0;
            this.$outline.style.opacity = 0;
          });
        },

        animateDotOutline: function () {
          this._x += (this.endX - this._x) / this.delay;
          this._y += (this.endY - this._y) / this.delay;
          this.$outline.style.top = `${this._y}px`;
          this.$outline.style.left = `${this._x}px`;

          requestAnimationFrame(this.animateDotOutline.bind(this));
        },

        toggleCursorSize: function () {
          if (this.cursorEnlarged) {
            this.$dot.style.transform = "translate(-50%, -50%) scale(0.75)";
            this.$outline.style.transform = "translate(-50%, -50%) scale(1.6)";
          } else {
            this.$dot.style.transform = "translate(-50%, -50%) scale(1)";
            this.$outline.style.transform = "translate(-50%, -50%) scale(1)";
          }
        },

        toggleCursorVisibility: function () {
          if (this.cursorVisible) {
            this.$dot.style.opacity = 1;
            this.$outline.style.opacity = 1;
          } else {
            this.$dot.style.opacity = 0;
            this.$outline.style.opacity = 0;
          }
        },
      };
      cursor.init();
    }
  },
};
clothing_brand_store_customCursor.init();

//scrollToTop

const clothing_brand_store_scrollToTop = {
  scrollToTop: {
    init() {
      this.button = document.getElementById("scrollToTopBtn");
      const svg = document.getElementById("progressCircle");
      this.circle = svg?.querySelector("circle");

      if (!this.button || !this.circle) return;

      this.radius = this.circle.r.baseVal.value;
      this.circumference = 2 * Math.PI * this.radius;

      this.circle.style.strokeDasharray = `${this.circumference}`;
      this.circle.style.strokeDashoffset = this.circumference;

      window.addEventListener("scroll", this.handleScroll.bind(this));
      this.button.addEventListener("click", this.scrollToTop.bind(this));
    },

    handleScroll() {
      const scrollTop = document.documentElement.scrollTop || document.body.scrollTop;

      this.button.style.display = scrollTop > 100 ? "flex" : "none";
      requestAnimationFrame(this.updateProgress.bind(this));
    },

    scrollToTop() {
      window.scrollTo({ top: 0, behavior: "smooth" });
    },

    updateProgress() {
      if (!this.circle) return;

      const scrollTop = document.documentElement.scrollTop || document.body.scrollTop;
      const scrollHeight = document.documentElement.scrollHeight - document.documentElement.clientHeight;
      const progress = scrollTop / scrollHeight;

      const offset = this.circumference * (1 - progress);
      this.circle.style.strokeDashoffset = offset;
    }
  }
};
document.addEventListener("DOMContentLoaded", () => clothing_brand_store_scrollToTop .scrollToTop.init());

/* ===============================================
   sticky copyright
============================================= */

window.addEventListener('scroll', function() {
  var clothing_brand_store_footer = document.querySelector('.sticky-copyright');
  if (!clothing_brand_store_footer) return; 

  var clothing_brand_store_scrollTop = window.scrollY || document.documentElement.clothing_brand_store_scrollTop;

  if (clothing_brand_store_scrollTop >= 100) {
    clothing_brand_store_footer.classList.add('active-sticky');
  }
}); 

/* ===============================================
  Progress Bar
============================================= */
const clothing_brand_store_progressBar = {
  init: function () {
      let clothing_brand_store_progressBarDiv = document.getElementById("elemento-progress-bar");

      if (clothing_brand_store_progressBarDiv) {
          let clothing_brand_store_body = document.body;
          let clothing_brand_store_rootElement = document.documentElement;

          window.addEventListener("scroll", function (event) {
              let clothing_brand_store_winScroll = clothing_brand_store_body.scrollTop || clothing_brand_store_rootElement.scrollTop;
              let clothing_brand_store_height =
              clothing_brand_store_rootElement.scrollHeight - clothing_brand_store_rootElement.clientHeight;
              let clothing_brand_store_scrolled = (clothing_brand_store_winScroll / clothing_brand_store_height) * 100;
              clothing_brand_store_progressBarDiv.style.width = clothing_brand_store_scrolled + "%";
          });
      }
  },
};
clothing_brand_store_progressBar.init();
